%define	upstream_name	 POE
%define upstream_version 1.367

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Portable multitasking and networking framework for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz
# This upstream_name naming scheme does not follow path names...

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Errno) >= 1.90.0
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec) >= 0.870.0
BuildRequires: perl(IO) >= 1.240.0
BuildRequires: perl(IO::Handle) >= 1.270.0
BuildRequires: perl(IO::Pipely) >= 0.5.0
BuildRequires: perl(IO::Tty) >= 1.80.0
BuildRequires: perl(POE::Test::Loops) >= 1.352.0
BuildRequires: perl(POSIX) >= 1.20.0
BuildRequires: perl(Socket) >= 1.700.0
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::Harness) >= 2.260.0
BuildRequires: perl(Time::HiRes) >= 1.590.0
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Provides:   perl(POE::Resource::Controls)

%{?perl_default_filter}

%description
POE is a framework for cooperative, event driven multitasking in Perl.

POE originally was developed as the core of a persistent object server and
runtime environment. It has evolved into a general purpose multitasking and
networking framework, encompassing and providing a consistent interface to
other event loops such as Event and the Tk and Gtk toolkits.

POE is a mature framework for creating multitasking programs in Perl.  It has
been in active development since 1998.  It has been used in mission-critical
systems such as internetworked financial markets, file systems, commerce and
application servers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 examples
chmod 755 examples/*.perl

%build
%__perl Makefile.PL INSTALLDIRS=vendor --default
%make

DISPLAY= %{__make} test

%install
%{makeinstall_std}

%files
%doc CHANGES HISTORY META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/POE
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.367.0-4pclos2017
- rebuild against updates

